Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1273880 - Review Request: nodejs-concat-map - concatenative mapdashery
Summary: Review Request: nodejs-concat-map - concatenative mapdashery
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Troy Dawson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1291359 (view as bug list)
Depends On:
Blocks: nodejs-reviews Node-RED 1273882
TreeView+ depends on / blocked
 
Reported: 2015-10-21 12:44 UTC by Jared Smith
Modified: 2016-10-21 08:13 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-02-16 16:27:01 UTC
tdawson: fedora-review+


Attachments (Terms of Use)

Description Jared Smith 2015-10-21 12:44:13 UTC
Spec URL: https://jsmith.fedorapeople.org/Packaging/nodejs-concat-map/nodejs-concat-map.spec
SRPM URL: https://jsmith.fedorapeople.org/Packaging/nodejs-concat-map/nodejs-concat-map-0.0.1-1.fc23.src.rpm
Description: concatenative mapdashery for NodeJS
Fedora Account System Username: jsmith

Comment 1 Troy Dawson 2015-10-21 15:10:28 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[X]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[X]: License field in the package spec file matches the actual license.
[X]: Package contains no bundled libraries without FPC exception.
[X]: Changelog in prescribed format.
[X]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[X]: Package uses nothing in %doc for runtime.
[X]: Package consistently uses macros (instead of hard-coded directory
     names).
[X]: Package is named according to the Package Naming Guidelines.
[X]: Package does not generate any conflict.
[X]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[X]: Requires correct, justified where necessary.
[X]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[X]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[X]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[X]: Final provides and requires are sane (see attachments).
[ ]: Package functions as described.
[X]: Latest version is packaged.
[X]: Package does not include license text files separate from upstream.
[X]: SourceX tarball generation or download is documented.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: %check is present and all tests pass.
[X]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-concat-map-0.0.1-1.fc24.noarch.rpm
          nodejs-concat-map-0.0.1-1.fc24.src.rpm
nodejs-concat-map.noarch: W: spelling-error Summary(en_US) concatenative -> concatenation, concatenate, contemplative
nodejs-concat-map.noarch: W: spelling-error Summary(en_US) mapdashery -> haberdashery
nodejs-concat-map.noarch: W: summary-not-capitalized C concatenative mapdashery
nodejs-concat-map.noarch: W: spelling-error %description -l en_US concatenative -> concatenation, concatenate, contemplative
nodejs-concat-map.noarch: W: spelling-error %description -l en_US mapdashery -> haberdashery
nodejs-concat-map.noarch: W: invalid-url URL git://github.com/substack/node-concat-map.git
nodejs-concat-map.noarch: W: only-non-binary-in-usr-lib
nodejs-concat-map.src: W: spelling-error Summary(en_US) concatenative -> concatenation, concatenate, contemplative
nodejs-concat-map.src: W: spelling-error Summary(en_US) mapdashery -> haberdashery
nodejs-concat-map.src: W: summary-not-capitalized C concatenative mapdashery
nodejs-concat-map.src: W: spelling-error %description -l en_US concatenative -> concatenation, concatenate, contemplative
nodejs-concat-map.src: W: spelling-error %description -l en_US mapdashery -> haberdashery
nodejs-concat-map.src: W: invalid-url URL git://github.com/substack/node-concat-map.git
nodejs-concat-map.src: W: invalid-url Source1: tests-0.0.1.tar.bz2
2 packages and 0 specfiles checked; 0 errors, 14 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
nodejs-concat-map.noarch: W: summary-not-capitalized C concatenative mapdashery
nodejs-concat-map.noarch: W: invalid-url URL git://github.com/substack/node-concat-map.git
nodejs-concat-map.noarch: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 0 errors, 3 warnings.



Requires
--------
nodejs-concat-map (rpmlib, GLIBC filtered):
    nodejs
    nodejs(engine)



Provides
--------
nodejs-concat-map:
    nodejs-concat-map
    npm(concat-map)



Source checksums
----------------
https://registry.npmjs.org/concat-map/-/concat-map-0.0.1.tgz :
  CHECKSUM(SHA256) this package     : 35902dd620cf0058c49ea614120f18a889d984269a90381b7622e79c2cfe4261
  CHECKSUM(SHA256) upstream package : 35902dd620cf0058c49ea614120f18a889d984269a90381b7622e79c2cfe4261


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1273880
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 2 Troy Dawson 2015-10-21 15:15:10 UTC
 - Typo in URL - You have git:// ... should be https://
 -- https://github.com/substack/node-concat-map

 - Very nit-picky, but the summary should be capitalized
 -- Concatenative Mapdashery

I'm going to approve this because everything else is great, but before you check it in, please update the URL.

Package approved.

Comment 3 Jared Smith 2015-12-14 16:49:21 UTC
*** Bug 1291359 has been marked as a duplicate of this bug. ***

Comment 4 Gwyn Ciesla 2015-12-14 17:04:48 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/nodejs-concat-map

Comment 5 Fedora Update System 2015-12-14 18:23:30 UTC
nodejs-concat-map-0.0.1-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-05cd10eae1

Comment 6 Fedora Update System 2015-12-14 18:24:00 UTC
nodejs-concat-map-0.0.1-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-ce5506acce

Comment 7 Fedora Update System 2015-12-14 18:24:24 UTC
nodejs-concat-map-0.0.1-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-58f33fe0dd

Comment 8 Fedora Update System 2015-12-14 18:24:47 UTC
nodejs-concat-map-0.0.1-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-a8a553c2fa

Comment 9 Fedora Update System 2015-12-15 07:20:03 UTC
nodejs-concat-map-0.0.1-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update nodejs-concat-map'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-58f33fe0dd

Comment 10 Fedora Update System 2015-12-15 10:52:44 UTC
nodejs-concat-map-0.0.1-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update nodejs-concat-map'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-05cd10eae1

Comment 11 Fedora Update System 2015-12-16 03:47:46 UTC
nodejs-concat-map-0.0.1-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update nodejs-concat-map'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-a8a553c2fa

Comment 12 Piotr Popieluch 2015-12-17 08:19:04 UTC
Package in Rawhide, closing to unblock bugs.

Comment 13 Fedora Update System 2015-12-22 15:36:34 UTC
nodejs-concat-map-0.0.1-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-ce5506acce


Note You need to log in before you can comment on or make changes to this bug.